Subject: bug#507: compilation problem under Solaris

From: "Langella Raphael" <[email-masked]>
Date: Fri, 4 Jul 2008 10:40:55 +0200

> -----Message d'origine-----
> De : Glenn Morris [mailto:[email-masked]] 
> Envoyé : jeudi 3 juillet 2008 22:00
> À : Langella Raphael
> Cc : [email-masked]
> Objet : Re: bug#507: compilation problem under Solaris
> 
> tags 507 = help
> stop
> 
> "Langella Raphael" wrote:
> 
> > Anyway, once corrected, cpp_undefs is correctly defined: 
> cpp_undefs = 
> > -UProduits -Utmp -Uemacs -Usparc -Usun -Usolaris2 -Usparc -Usun
> > -Usolaris2
> >
> > But compilation still fails. Instead of being replaced by "1 ", the 
> >"sparc" string is just deleted. See attached src/Makefile.
> 
> OK, I think I see what's going on. src/m/sparc.h does:
> 
> #ifndef sparc
> #define sparc
> #endif
> 
> And src/Makefile.c includes config.h which includes this file.
> 
> Thus there seems to be no way to fix this through use of -U 
> etc on the cpp line.
> 
> By far the easiest way for you to fix this is just to edit 
> your src and lib-src Makefile by hand.

That's exactly what I did even before reporting the bug. I just thought I should report this. And I didn't have to edit lib-src/Makefile, only src/Makefile.